Package org.jbpm.process.audit.query

## Class AbstractAuditDeleteBuilderImpl<T>

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<T>
  - - org.jbpm.query.jpa.builder.impl.AbstractDeleteBuilderImpl<T>
    - - org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl<T>

- All Implemented Interfaces:
    `org.kie.internal.query.ParametrizedQueryBuilder<T>`, `org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<T>`
  Direct Known Subclasses:
    `AuditTaskDeleteBuilderImpl`, `CaseFileDataLogDeleteBuilderImpl`, `CaseRoleAssignmentLogDeleteBuilderImpl`, `ErrorInfoDeleteBuilderImpl`, `ExecutionErrorInfoDeleteBuilderImpl`, `NodeInstanceLogDeleteBuilderImpl`, `ProcessInstanceLogDeleteBuilderImpl`, `RequestInfoDeleteBuilderImpl`, `TaskEventDeleteBuilderImpl`, `TaskVariableDeleteBuilderImpl`, `VarInstanceLogDeleteBuilderImpl`

      public abstract class AbstractAuditDeleteBuilderImpl<T>
      extends org.jbpm.query.jpa.builder.impl.AbstractDeleteBuilderImpl<T>
      implements org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<T>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected static class` | `AbstractAuditDeleteBuilderImpl.Subquery` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `deploymentId` |
    `protected org.kie.api.runtime.CommandExecutor` | `executor` |
    `protected JPAAuditLogService` | `jpaAuditService` |
    `protected int` | `recordsPerTransaction` |
    `protected Integer[]` | `statuses` |

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryWhere`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractAuditDeleteBuilderImpl​(JPAAuditLogService jpaService)` |
    `protected` | `AbstractAuditDeleteBuilderImpl​(org.kie.api.runtime.CommandExecutor cmdExecutor)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected AbstractAuditDeleteBuilderImpl.Subquery` | `applyParameters​(AbstractAuditDeleteBuilderImpl.Subquery subquery)` |
    `org.kie.internal.query.ParametrizedUpdate` | `build()` |
    `protected <P> boolean` | `checkIfNull​(P... parameter)` |
    `T` | `date​(Date... date)` |
    `T` | `dateRangeEnd​(Date rangeEnd)` |
    `T` | `dateRangeStart​(Date rangeStart)` |
    `protected Date[]` | `ensureDateNotTimestamp​(Date... date)` |
    `protected JPAAuditLogService` | `getJpaAuditLogService()` |
    `protected abstract String` | `getQueryTable()` |
    `protected abstract Class<?>` | `getQueryType()` |
    `protected AbstractAuditDeleteBuilderImpl.Subquery` | `getSubQuery()` |
    `protected boolean` | `isSubquerySupported()` |
    `T` | `logBelongsToProcessInDeployment​(String deploymentId)` |
    `T` | `logBelongsToProcessInStatus​(Integer... statuses)` |
    `T` | `processId​(String... processId)` |
    `T` | `processInstanceId​(long... processInstanceId)` |
    `T` | `recordsPerTransaction​(int numRecords)` |

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractDeleteBuilderImpl

      `endGroup, newGroup`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, addRangeParameters, and, clear, equals, getQueryWhere, intersect, like, maxResults, offset, or, regex, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Field Detail

    - #### statuses

          protected Integer[] statuses

    - #### deploymentId

          protected String deploymentId

    - #### recordsPerTransaction

          protected int recordsPerTransaction

    - #### executor

          protected final org.kie.api.runtime.CommandExecutor executor

    - #### jpaAuditService

          protected final JPAAuditLogService jpaAuditService

  - ### Constructor Detail

    - #### AbstractAuditDeleteBuilderImpl

          protected AbstractAuditDeleteBuilderImpl​(JPAAuditLogService jpaService)

    - #### AbstractAuditDeleteBuilderImpl

          protected AbstractAuditDeleteBuilderImpl​(org.kie.api.runtime.CommandExecutor cmdExecutor)

  - ### Method Detail

    - #### getJpaAuditLogService

          protected JPAAuditLogService getJpaAuditLogService()

    - #### date

          public T date​(Date... date)

    - #### dateRangeStart

          public T dateRangeStart​(Date rangeStart)

    - #### dateRangeEnd

          public T dateRangeEnd​(Date rangeEnd)

    - #### recordsPerTransaction

          public T recordsPerTransaction​(int numRecords)

      Specified by:
        `recordsPerTransaction` in interface `org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<T>`

    - #### processInstanceId

          public T processInstanceId​(long... processInstanceId)

      Specified by:
        `processInstanceId` in interface `org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<T>`

    - #### processId

          public T processId​(String... processId)

      Specified by:
        `processId` in interface `org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<T>`

    - #### logBelongsToProcessInStatus

          public T logBelongsToProcessInStatus​(Integer... statuses)

      Specified by:
        `logBelongsToProcessInStatus` in interface `org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<T>`

    - #### logBelongsToProcessInDeployment

          public T logBelongsToProcessInDeployment​(String deploymentId)

      Specified by:
        `logBelongsToProcessInDeployment` in interface `org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<T>`

    - #### checkIfNull

          protected <P> boolean checkIfNull​(P... parameter)

    - #### ensureDateNotTimestamp

          protected Date[] ensureDateNotTimestamp​(Date... date)

    - #### getQueryType

          protected abstract Class<?> getQueryType()

    - #### getQueryTable

          protected abstract String getQueryTable()

    - #### isSubquerySupported

          protected boolean isSubquerySupported()

    - #### getSubQuery

          protected AbstractAuditDeleteBuilderImpl.Subquery getSubQuery()

    - #### applyParameters

          protected AbstractAuditDeleteBuilderImpl.Subquery applyParameters​(AbstractAuditDeleteBuilderImpl.Subquery subquery)

    - #### build

          public org.kie.internal.query.ParametrizedUpdate build()

      Specified by:
        `build` in interface `org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<T>`